Mycroft Community Forum

Mycroft not responding ubuntu 20.04

Mycroft IS running and the CLI shows that my voice is being recorded and Mycroft sets the requested timer -

History ============================== Log Output Legend ====== Mic Level ===
set a timer DEBUG output

How long of a timer? skills.log, other
How long of a timer? voice.log
set a timer for 2 minutes

I’m starting a timer for two
minutes

However, Mycroft cannot seem to start the audio service.

Audio Logs:
2020-06-10 23:09:39.502 | INFO | 25393 | mycroft.messagebus.load_config:load_message_bus_config:33 | Loading message bus configs
2020-06-10 23:09:39.960 | ERROR | 25393 | mycroft.tts.tts:create:527 | The TTS could not be loaded.
Traceback (most recent call last):
File “/home/justin/mycroft-core/mycroft/tts/mimic_tts.py”, line 187, in validate_connection
subprocess.call([BIN, ‘–version’])
File “/usr/lib/python3.8/subprocess.py”, line 340, in call
with Popen(*popenargs, **kwargs) as p:
File “/usr/lib/python3.8/subprocess.py”, line 854, in init
self._execute_child(args, executable, preexec_fn, close_fds,
File “/usr/lib/python3.8/subprocess.py”, line 1583, in _execute_child
and os.path.dirname(executable)
File “/usr/lib/python3.8/posixpath.py”, line 152, in dirname
p = os.fspath§
TypeError: expected str, bytes or os.PathLike object, not NoneType

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/justin/mycroft-core/mycroft/tts/tts.py”, line 517, in create
tts.validator.validate()
File “/home/justin/mycroft-core/mycroft/tts/tts.py”, line 435, in validate
self.validate_connection()
File “/home/justin/mycroft-core/mycroft/tts/mimic_tts.py”, line 189, in validate_connection
LOG.info("Failed to find mimic at: " + BIN)
TypeError: can only concatenate str (not “NoneType”) to str
Traceback (most recent call last):
File “/home/justin/mycroft-core/mycroft/tts/mimic_tts.py”, line 187, in validate_connection
subprocess.call([BIN, ‘–version’])
File “/usr/lib/python3.8/subprocess.py”, line 340, in call
with Popen(*popenargs, **kwargs) as p:
File “/usr/lib/python3.8/subprocess.py”, line 854, in init
self._execute_child(args, executable, preexec_fn, close_fds,
File “/usr/lib/python3.8/subprocess.py”, line 1583, in _execute_child
and os.path.dirname(executable)
File “/usr/lib/python3.8/posixpath.py”, line 152, in dirname
p = os.fspath§
TypeError: expected str, bytes or os.PathLike object, not NoneType

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.8/runpy.py”, line 193, in _run_module_as_main
return _run_code(code, main_globals, None,
File “/usr/lib/python3.8/runpy.py”, line 86, in _run_code
exec(code, run_globals)
File “/home/justin/mycroft-core/mycroft/audio/main.py”, line 49, in
main()
File “/home/justin/mycroft-core/mycroft/audio/main.py”, line 36, in main
speech.init(bus)
File “/home/justin/mycroft-core/mycroft/audio/speech.py”, line 182, in init
tts = TTSFactory.create()
File “/home/justin/mycroft-core/mycroft/tts/tts.py”, line 517, in create
tts.validator.validate()
File “/home/justin/mycroft-core/mycroft/tts/tts.py”, line 435, in validate
self.validate_connection()
File “/home/justin/mycroft-core/mycroft/tts/mimic_tts.py”, line 189, in validate_connection
LOG.info("Failed to find mimic at: " + BIN)
TypeError: can only concatenate str (not “NoneType”) to str
Exception ignored in: <module ‘threading’ from ‘/usr/lib/python3.8/threading.py’>

Please let me know what I have done wrong :smiley:

Thank you!

(edited) Just noticed the following, as well.
2020-06-10 23:09:39.433 | INFO | 25421 | mycroft.messagebus.load_config:load_message_bus_config:33 | Loading message bus configs
ALSA lib pcm_dsnoop.c:641:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dmix.c:1089:(snd_pcm_dmix_open) unable to open slave
ALSA lib pcm.c:2642:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2642:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2642:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_oss.c:377:(_snd_pcm_oss_open) Unknown field port
ALSA lib pcm_oss.c:377:(_snd_pcm_oss_open) Unknown field port
ALSA lib pcm_usb_stream.c:486:(_snd_pcm_usb_stream_open) Invalid type for card
ALSA lib pcm_usb_stream.c:486:(_snd_pcm_usb_stream_open) Invalid type for card
ALSA lib pcm_dmix.c:1089:(snd_pcm_dmix_open) unable to open slave
2020-06-10 23:09:39.624 | INFO | 25421 | mycroft.client.speech.listener:create_wake_word_recognizer:323 | Creating wake word engine
2020-06-10 23:09:39.624 | INFO | 25421 | mycroft.client.speech.listener:create_wake_word_recognizer:346 | Using hotword entry for hey mycroft

Reinstalled (including Mimic this time) and it now works as expected.

2 Likes